<!DOCTYPE html>
<html>
  <head>
    <title>POLL DEMO</title>
    <link rel="stylesheet" href="3-poll.css">
  </head>
  <body>
    <?php
    // (A) INIT
    $pid = 1; // fixed to poll id 1 for this demo
    require "2-lib-poll.php"; // load poll library
    if (!isset($_SESSION["poll"])) { $_SESSION["poll"] = []; } // to track user vote
    if (!isset($_SESSION["poll"][$pid])) { $_SESSION["poll"][$pid] = null; }

    // (B) UPDATE POLL VOTE
    if (count($_POST)!=0) { if ($_POST["vote"] != $_SESSION["poll"][$pid]) {
      $up = $_POST["vote"];
      $down = $_SESSION["poll"][$pid]!=$up ? $_SESSION["poll"][$pid] : null ;
      if ($POLL->save($pid, $up, $down)===false) { echo $POLL->error; }
      $_SESSION["poll"][$pid] = $up;
    }}

    // (C) GET & SHOW THE POLL
    $poll = $POLL->get($pid); ?>
    <form method="post" class="poll-docket">
      <div class="poll-question"><?=$poll["q"]?></div>
      <?php foreach ($poll["o"] as $oid=>$o) { ?>
      <label class="poll-option">
        <input type="radio" name="vote" value="<?=$oid?>"
        <?=$oid==$_SESSION["poll"][$pid]?" checked":""?>>
        <span class="poll-text"><?=$o["t"]?></span>
        <span class="poll-votes">(<?=$o["v"]?>)</span>
      </label>
      <?php } ?>
      <input type="submit" class="poll-go" value="Go!">
    </form>
  </body>
</html>