-- (A) POLL QUESTIONS
CREATE TABLE `poll_questions` (
  `poll_id` bigint(20) NOT NULL,
  `poll_question` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

ALTER TABLE `poll_questions`
  ADD PRIMARY KEY (`poll_id`);

ALTER TABLE `poll_questions`
  MODIFY `poll_id` bigint(20) NOT NULL AUTO_INCREMENT;

-- (B) POLL OPTIONS
CREATE TABLE `poll_options` (
  `poll_id` bigint(20) NOT NULL,
  `option_id` bigint(20) NOT NULL,
  `option_text` varchar(255) NOT NULL,
  `option_votes` bigint(20) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

ALTER TABLE `poll_options`
  ADD PRIMARY KEY (`poll_id`,`option_id`);

-- (C) DUMMY DATA
INSERT INTO `poll_questions` (`poll_id`, `poll_question`) VALUES
  (1, 'What is your favorite meme animal?');

INSERT INTO `poll_options` (`poll_id`, `option_id`, `option_text`, `option_votes`) VALUES
  (1, 1, 'Doge', 99),
  (1, 2, 'Cate', 88),
  (1, 3, 'Birb', 77);